unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ImgList, ActnList, ActnMan, Menus, XPStyleActnCtrls,
  ActnPopup, ToolWin,

  kuShell,
  kuModul,
  kuShellListView;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    LVS: TkuShellListView;
    pm_LVS: TPopupActionBar;
    pmExecute: TMenuItem;
    pmRename: TMenuItem;
    pmDelete: TMenuItem;
    N1: TMenuItem;
    pmNewFolder: TMenuItem;
    pmNewTxt: TMenuItem;
    N13: TMenuItem;
    pmCopy: TMenuItem;
    pmCut: TMenuItem;
    pmPaste: TMenuItem;
    N14: TMenuItem;
    pmView_SUB: TMenuItem;
    pmStyleTable: TMenuItem;
    pmStyleIcons: TMenuItem;
    pmStyleCols: TMenuItem;
    pmStyleRows: TMenuItem;
    N2: TMenuItem;
    pmHide: TMenuItem;
    N16: TMenuItem;
    pmOpeninExplorer: TMenuItem;
    pmRefresh: TMenuItem;
    ActionManager1: TActionManager;
    Act_LVS_Execute: TAction;
    Act_LVS_Rename: TAction;
    Act_LVS_Delete: TAction;
    Act_LVS_NewFolder: TAction;
    Act_LVS_NewTxt: TAction;
    Act_LVS_Copy: TAction;
    Act_LVS_Cut: TAction;
    Act_LVS_Paste: TAction;
    Act_LVS_Style_SUB: TAction;
    Act_LVS_StyleTable: TAction;
    Act_LVS_StyleIcons: TAction;
    Act_LVS_StyleCols: TAction;
    Act_LVS_StyleRows: TAction;
    Act_LVS_ShowHide: TAction;
    Act_LVS_OpenInExplorer: TAction;
    Act_LVS_Refresh: TAction;
    ImageList1: TImageList;
    ToolBar1: TToolBar;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton15: TToolButton;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    ToolButton10: TToolButton;
    ToolButton7: TToolButton;
    ToolButton8: TToolButton;
    ToolButton9: TToolButton;
    ToolButton11: TToolButton;
    tb_Hide: TToolButton;
    tb_Style: TToolButton;
    ToolButton4: TToolButton;
    ToolButton13: TToolButton;
    ToolButton12: TToolButton;
    pm_Style: TPopupActionBar;
    pmsTable: TMenuItem;
    pmsIcon: TMenuItem;
    pmsCols: TMenuItem;
    pmsRows: TMenuItem;
    Info: TAction;
    Info1: TMenuItem;
    ToolButton1: TToolButton;
    Button2: TButton;

    procedure StyleSelecting(ST: TViewStyle);
    procedure LVSPathChanged(Sender: TObject; NewPath: string);
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Edit1KeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure Act_LVS_ExecuteExecute(Sender: TObject);
    procedure Act_LVS_RenameExecute(Sender: TObject);
    procedure Act_LVS_DeleteExecute(Sender: TObject);
    procedure Act_LVS_NewFolderExecute(Sender: TObject);
    procedure Act_LVS_NewTxtExecute(Sender: TObject);
    procedure Act_LVS_CopyExecute(Sender: TObject);
    procedure Act_LVS_CutExecute(Sender: TObject);
    procedure Act_LVS_PasteExecute(Sender: TObject);
    procedure Act_LVS_Style_SUBExecute(Sender: TObject);
    procedure Act_LVS_StyleTableExecute(Sender: TObject);
    procedure Act_LVS_StyleColsExecute(Sender: TObject);
    procedure Act_LVS_StyleRowsExecute(Sender: TObject);
    procedure Act_LVS_OpenInExplorerExecute(Sender: TObject);
    procedure Act_LVS_RefreshExecute(Sender: TObject);
    procedure Act_LVS_StyleIconsExecute(Sender: TObject);
    procedure Act_LVS_ShowHideExecute(Sender: TObject);
    procedure LVSStyleChange(Style: TViewStyle);
    procedure InfoExecute(Sender: TObject);
    procedure Button2Click(Sender: TObject);

  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}


//------------------------------------------------------------------------------ Create
procedure TForm1.FormCreate(Sender: TObject);
begin
LVS.Path := '';
StyleSelecting(LVS.ViewStyle);
Act_LVS_ShowHide.Checked := LVS.ShowHide;
end;






procedure TForm1.InfoExecute(Sender: TObject);
begin
LVS.Info;
end;

//------------------------------------------------------------------------------ Dir Up
procedure TForm1.Button1Click(Sender: TObject);
begin
LVS.DirUp;
end;



//------------------------------------------------------------------------------ Adres Enter
procedure TForm1.Edit1KeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
begin

//Enter
if Key = 13 then Adres_Enter(Edit1, LVS);

end;


//------------------------------------------------------------------------------ Path Change
procedure TForm1.LVSPathChanged(Sender: TObject; NewPath: string);
begin
Edit1.Text := NewPath;
end;









{$REGION '   pm   '}



//------------------------------------------------------------------------------ Execute
procedure TForm1.Act_LVS_ExecuteExecute(Sender: TObject);
begin
LVS.Execute;
end;



//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Rename
procedure TForm1.Act_LVS_RenameExecute(Sender: TObject);
begin
LVS.Rename;
end;




//------------------------------------------------------------------------------  Delete
procedure TForm1.Act_LVS_DeleteExecute(Sender: TObject);
begin
LVS.DeleteSelected;
end;





//------------------------------------------------------------------------------ New Folder
procedure TForm1.Act_LVS_NewFolderExecute(Sender: TObject);
begin
LVS.NewFolder;
end;




//------------------------------------------------------------------------------ New txt
procedure TForm1.Act_LVS_NewTxtExecute(Sender: TObject);
begin
LVS.NewTxt;
end;







//------------------------------------------------------------------------------ Copy
procedure TForm1.Act_LVS_CopyExecute(Sender: TObject);
begin
LVS.CopyData;
end;



//------------------------------------------------------------------------------ Cut
procedure TForm1.Act_LVS_CutExecute(Sender: TObject);
begin
LVS.Cut;
end;


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Paste
procedure TForm1.Act_LVS_PasteExecute(Sender: TObject);
begin
LVS.Paste;
end;





//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Open in Explorer
procedure TForm1.Act_LVS_OpenInExplorerExecute(Sender: TObject);
begin
LVS.OpenInExplorer;
end;


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Refresh
procedure TForm1.Act_LVS_RefreshExecute(Sender: TObject);
begin
LVS.Reload;
end;


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Show hide
procedure TForm1.Act_LVS_ShowHideExecute(Sender: TObject);
begin
LVS.ShowHide := not LVS.ShowHide;
end;





{$REGION ' Style '}



//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Style SUB
procedure TForm1.Act_LVS_Style_SUBExecute(Sender: TObject);
begin
//
end;


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Style Icons
procedure TForm1.Act_LVS_StyleIconsExecute(Sender: TObject);
begin
LVS.ViewStyle := vsIcon;
end;

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Style Table
procedure TForm1.Act_LVS_StyleTableExecute(Sender: TObject);
begin
LVS.ViewStyle := vsReport;
end;

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Style Cols
procedure TForm1.Act_LVS_StyleColsExecute(Sender: TObject);
begin
LVS.ViewStyle := vsList;
end;

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Style Rows
procedure TForm1.Act_LVS_StyleRowsExecute(Sender: TObject);
begin
LVS.ViewStyle := vsSmallIcon;
LVS.Refresh;
end;



//------------------------------------------------------------------------------ Style Selecting
procedure TForm1.StyleSelecting(ST: TViewStyle);
begin

case ST
of
  vsReport:
  begin
     tb_Style.ImageIndex := Act_LVS_StyleTable.ImageIndex;
     Act_LVS_StyleTable.Checked := True;
  end;

  vsIcon:
  begin
     tb_Style.ImageIndex := Act_LVS_StyleIcons.ImageIndex;
     Act_LVS_StyleIcons.Checked := True;
  end;

  vsList:
  begin
     tb_Style.ImageIndex := Act_LVS_StyleCols.ImageIndex;
     Act_LVS_StyleCols.Checked := True;
  end;

  vsSmallIcon:
  begin
     tb_Style.ImageIndex := Act_LVS_StyleRows.ImageIndex;
     Act_LVS_StyleRows.Checked := True;
  end;
end;

end;


//------------------------------------------------------------------------------ On Style Change
procedure TForm1.LVSStyleChange(Style: TViewStyle);
begin
StyleSelecting(Style);
end;



{$ENDREGION}





{$ENDREGION}





procedure TForm1.Button2Click(Sender: TObject);
begin
Link_Execute(_kuSait +'/_kushelllistview.html');
end;




end.
