unit kuYN;

interface

uses
  Forms, StdCtrls, Classes, Controls, Buttons, ExtCtrls;

type
  TFormYN = class(TForm)
  
    Label1: TLabel;
    Panel1: TPanel;
    btnY: TBitBtn;
    btnN: TBitBtn;

    procedure btnNClick(Sender: TObject);
    procedure btnYClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);

  end;

var
  FormYN : TFormYN;

  function YN(iText: string; iCaption: string = ''): Boolean;

implementation

uses kuLanguageUni;

{$R *.dfm}


//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ YN
function YN(iText: string; iCaption: string = ''): Boolean;
begin

Application.CreateForm(TFormYN, FormYN);

FormYN.Label1.Caption := iText;
FormYN.Caption := iCaption;
FormYN.Tag := 0;
FormYN.ActiveControl := FormYN.btnY;

Lng_Translate_FormYN;

//Form_iniLoad(FormYN, 'FormYN');
FormYN.Position := poOwnerFormCenter;
FormYN.ShowModal;

{ . . . }

//Form_iniSave(FormYN, 'FormYN');

case FormYN.Tag
  of
  0: Result := False;
  1: Result := True;
  end;

FormYN.Free;

end;




//FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF Key Down
procedure TFormYN.FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
begin

case Key of
     89: btnY.Click;
     78: btnN.Click;
//     67: btnC.Click;
end;

end;



//------------------------------------------------------------------------------ Yes
procedure TFormYN.btnYClick(Sender: TObject);
begin

Tag := 1;
Close;

end;



//------------------------------------------------------------------------------ No
procedure TFormYN.btnNClick(Sender: TObject);
begin

Tag := 0;
Close;

end;



end.
