unit Main;

interface

uses
  Windows, Messages, Controls, Forms, ActiveX, ShlObj, ComObj, Classes,
  StdCtrls, SysUtils, FileCtrl, ShellAPI,

  kuModul,
  kuDrag;

type
  TForm1 = class(TForm)
    FileListBox1: TFileListBox;
    btnMail: TButton;
    btnSait: TButton;
    DirectoryListBox1: TDirectoryListBox;
    Label1: TLabel;
    Label2: TLabel;

    procedure FileListBox1MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure FileListBox1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
    procedure btnSaitClick(Sender: TObject);
    procedure btnMailClick(Sender: TObject);

  end;

var
  Form1: TForm1;


implementation

{$R *.DFM}


//------------------------------------------------------------------------------ Mouse Dn
procedure TForm1.FileListBox1MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin

if Button =  mbLeft
then
begin
    _kuDragPointDn := True; //  Drag 
    _kuDragPoint1 := Point(X, Y); //  
end;

end;



//------------------------------------------------------------------------------ mouse move
procedure TForm1.FileListBox1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
var
  i: Integer;
  FileList: TStrings;

begin

if not kuDragCan(Shift, X, Y) then exit;

FileList := TStringList.Create;
FileList.Capacity := FileListBox1.SelCount;

for i := 0 to FileListBox1.Items.Count - 1
do if FileListBox1.Selected[i] then FileList.Add(FileListBox1.Items[i]);

kuDragDo(FileListBox1, Label1.Caption, FileList, False, False);

FileList.Free;

end;




//------------------------------------------------------------------------------ email
procedure TForm1.btnMailClick(Sender: TObject);
begin
ShellExecute(Form1.Handle, nil, 'mailto:kuzduk@mail.ru?subject=kuDrag', nil, nil, SW_RESTORE);
end;

//------------------------------------------------------------------------------ Sait
procedure TForm1.btnSaitClick(Sender: TObject);
begin
ShellExecute(Form1.Handle, nil, PChar(_kuSait), nil, nil, SW_RESTORE);
end;


end.
