unit kuY;

interface

uses
  Forms, StdCtrls, Classes, Controls, Buttons, ExtCtrls, ComCtrls, Graphics;

type
  TFormY = class(TForm)

    RichEdit1: TRichEdit;
    btnp_Y: TPanel;

    procedure FormResize(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure CloseY(Sender: TObject);
    procedure btnp_YMouseEnter(Sender: TObject);
    procedure btnp_YMouseLeave(Sender: TObject);

  end;

var
  FormY: TFormY;

const
  __yy_DefColor: TColor = $00C6E7FB;



  procedure YY(iText: string; iCaption: string = ''; FormColor: TColor = -1); overload;
  procedure YY(iText: string; FormColor: TColor); overload;







implementation

uses kuLanguageUni, kuModul;

{$R *.dfm}



//****************************************************************************** YY full
procedure YY(iText: string; iCaption: string = ''; FormColor: TColor = -1); overload;
begin

Application.CreateForm(TFormY, FormY);

//FormColor
if FormColor = -1
then FormY.Color := __yy_DefColor
else FormY.Color := FormColor;

//Caption
FormY.Caption := iCaption;

//Text
FormY.RichEdit1.Text := iText;
FormY.RichEdit1.Font.Color := cl_Darker(FormY.Color, 60);

//Btn_Y
FormY.btnp_Y.OnMouseLeave(FormY);
FormY.btnp_Y.Font.Color := cl_Darker(FormY.Color, 60);


Lng_Translate_FormY;

Form_iniLoad(FormY, 'FormY');
FormY.Position := poOwnerFormCenter;

FormY.ShowModal;

{ . . . }

Form_iniSave( FormY, 'FormY' );

FormY.Destroy;

end;



//****************************************************************************** YY + color
procedure YY(iText: string; FormColor: TColor); overload;
begin

yy(iText, '', FormColor);

end;







//FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF Resize
procedure TFormY.FormResize(Sender: TObject);
begin
RichEdit1.Repaint;
end;




//FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF Key Press
procedure TFormY.FormKeyPress(Sender: TObject; var Key: Char);
begin

if (Key = #13)  // Enter
or (Key = #27)  // Esc
//or (Key = #32)  // Space
//or (Key = #45)  // Insert
then FormY.Close;

end;





//------------------------------------------------------------------------------ CloseY
procedure TFormY.CloseY(Sender: TObject);
begin
FormY.Close;
end;




{$REGION '   btnp_Y   '}


//------------------------------------------------------------------------------ 
procedure TFormY.btnp_YMouseEnter(Sender: TObject);
begin
//btnp_Y.Color := cl_Darker(FormY.Color, 10);
btnp_Y.Color := cl_Lighter(FormY.Color, 50);
end;


//------------------------------------------------------------------------------ 
procedure TFormY.btnp_YMouseLeave(Sender: TObject);
begin
btnp_Y.Color := cl_Lighter(FormY.Color, 30);
end;


{$ENDREGION}




end.
