unit kuYNC;

interface

uses
  Forms, StdCtrls, Classes, Controls, Buttons, ExtCtrls;

type
  TFormYNC = class(TForm)

    Label1: TLabel;
    Panel1: TPanel;
    btnY: TBitBtn;
    btnN: TBitBtn;
    btnC: TBitBtn;

    procedure btnYClick(Sender: TObject);
    procedure btnNClick(Sender: TObject);
    procedure btnCClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);

  end;

var
  FormYNC: TFormYNC;

  function YNC(iText: string; iCaption: string = ''; iColor: integer = $008C8CFF): Integer;

implementation

uses kuLanguageUni;

{$R *.dfm}


//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ YNC
function YNC(iText: string; iCaption: string = ''; iColor: integer = $008C8CFF): Integer;
begin

Application.CreateForm(TFormYNC, FormYNC);
FormYNC.Caption := iCaption;
FormYNC.Label1.Caption := iText;
FormYNC.Color := iColor;
FormYNC.Tag := 2;
FormYNC.ActiveControl := FormYNC.btnY;

FormYNC.Position := poOwnerFormCenter;

Lng_Translate_FormYNC;

FormYNC.ShowModal;

{ . . . }

Result := FormYNC.Tag;
//  0 - Yes
//  1 - No
//  2 - Cancel

FormYNC.Destroy;

end;



//FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF Key Down
procedure TFormYNC.FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
case Key of
     89: btnY.Click;
     78: btnN.Click;
     67: btnC.Click;
end;
end;




//------------------------------------------------------------------------------ Y
procedure TFormYNC.btnYClick(Sender: TObject);
begin

FormYNC.Tag := 0;
Close;

end;


//------------------------------------------------------------------------------ N
procedure TFormYNC.btnNClick(Sender: TObject);
begin

FormYNC.Tag := 1;
Close;

end;


//------------------------------------------------------------------------------ C
procedure TFormYNC.btnCClick(Sender: TObject);
begin

FormYNC.Tag := 2;
Close;

end;
       

end.
